Bug 1591163 (CVE-2018-0495) - CVE-2018-0495 ROHNP: Key Extraction Side Channel in Multiple Crypto Libraries
Summary: CVE-2018-0495 ROHNP: Key Extraction Side Channel in Multiple Crypto Libraries
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-0495
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: CVE-2018-12437 (view as bug list)
Depends On: 1591168 1591175 1591906 1591164 1591165 1591166 1591167 1591169 1591170 1591171 1591172 1591173 1591174 1591176 1591177 1591178 1591179 1591367 1591368 1591392 1591393 1591803 1591905 1624230 1624231 1804406 1804407 1804410
Blocks: 1591154
TreeView+ depends on / blocked
 
Reported: 2018-06-14 08:05 UTC by Andrej Nemec
Modified: 2020-04-22 03:26 UTC (History)
82 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:29:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3221 None None None 2018-10-30 07:52:02 UTC
Red Hat Product Errata RHSA-2019:1296 None None None 2019-05-30 14:48:33 UTC
Red Hat Product Errata RHSA-2019:1297 None None None 2019-05-30 14:57:15 UTC
Red Hat Product Errata RHSA-2019:1543 None None None 2019-06-18 19:09:12 UTC
Red Hat Product Errata RHSA-2019:2237 None None None 2019-08-06 12:31:22 UTC
Red Hat Product Errata RHSA-2020:1267 None None None 2020-04-01 08:33:40 UTC
Red Hat Product Errata RHSA-2020:1345 None None None 2020-04-07 09:33:18 UTC
Red Hat Product Errata RHSA-2020:1461 None None None 2020-04-14 17:39:42 UTC

Description Andrej Nemec 2018-06-14 08:05:05 UTC
An implementation flaw was discovered in multiple cryptographic libraries that allows a side-channel based attacker to recover ECDSA or DSA private keys. When these cryptographic libraries use the private key to create a signature, such as for a TLS or SSH connection, they inadvertently leak information through memory caches. An unprivileged attacker running on the same machine can collect the information from a few thousand signatures and recover the value of the private key.

External References:

https://www.nccgroup.trust/us/our-research/technical-advisory-return-of-the-hidden-number-problem/

Comment 1 Andrej Nemec 2018-06-14 08:06:32 UTC
Created botan tracking bugs for this issue:

Affects: epel-all [bug 1591169]
Affects: fedora-all [bug 1591172]


Created cryptlib tracking bugs for this issue:

Affects: epel-7 [bug 1591166]
Affects: fedora-all [bug 1591165]


Created libgcrypt tracking bugs for this issue:

Affects: fedora-all [bug 1591174]


Created libtomcrypt tracking bugs for this issue:

Affects: epel-all [bug 1591179]
Affects: fedora-all [bug 1591178]


Created mingw-libgcrypt tracking bugs for this issue:

Affects: epel-7 [bug 1591176]
Affects: fedora-all [bug 1591175]


Created mingw-openssl tracking bugs for this issue:

Affects: epel-7 [bug 1591167]
Affects: fedora-all [bug 1591168]


Created nss tracking bugs for this issue:

Affects: fedora-all [bug 1591164]


Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1591170]

Comment 14 Pedro Yóssis Silva Barbosa 2018-07-12 17:56:37 UTC
*** Bug 1591904 has been marked as a duplicate of this bug. ***

Comment 15 Doran Moppert 2018-08-20 01:32:59 UTC
Bouncycastle was mentioned in this report as having "non-constant math, but different code pattern" which might point to a theoretical weakness in Bouncycastle's implementation of Elliptic Curve cryptography.  However the CVE-2018-0495 issue does not apply to Bouncycastle, thus it is considered "not affected" by this flaw.

Bouncycastle inherently relies upon Java BigInteger arithmetic, which is not constant-time by design, so other countermeasures are needed to mitigate timing/side channel attacks.  In RSA operations, Bouncycastle uses blinding (ref CVE-2016-1000341).  Since 1.59, EC operations use a table lookup to prevent information leaks through similar channels.

Comment 16 Huzaifa S. Sidhpurwala 2018-08-31 03:36:39 UTC
Libgcrypt upstream commit:

https://github.com/gpg/libgcrypt/commit/9010d1576e278a4274ad3f4aa15776c28f6ba965

Comment 17 Huzaifa S. Sidhpurwala 2018-08-31 03:49:07 UTC
libgcrypt in Red Hat Enterprise Linux, does not enable ECC code. Since only ECDSA in libgcrypt is vulnerable, it seems RHEL versions of libgcrypt may not be vulnerable to this flaw.

This issue was addressed by Mozilla nss in version nss-3.38
https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSS/NSS_3.38_release_notes

OpenSSL upstream patches:
https://git.openssl.org/?p=openssl.git;a=commit;h=949ff36623eafc3523a9f91784992965018ffb05 (1.0.2)
https://git.openssl.org/?p=openssl.git;a=commit;h=0c27d793745c7837b13646302b6890a556b7017a (1.1)

Comment 19 errata-xmlrpc 2018-10-30 07:51:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3221 https://access.redhat.com/errata/RHSA-2018:3221

Comment 20 Joshua Padman 2019-05-15 22:54:55 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat Enterprise Application Platform 5

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 21 errata-xmlrpc 2019-05-30 14:48:30 UTC
This issue has been addressed in the following products:

  JBoss Core Services Apache HTTP Server 2.4.29 SP2

Via RHSA-2019:1296 https://access.redhat.com/errata/RHSA-2019:1296

Comment 22 errata-xmlrpc 2019-05-30 14:57:12 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7
  JBoss Core Services on RHEL 6

Via RHSA-2019:1297 https://access.redhat.com/errata/RHSA-2019:1297

Comment 23 errata-xmlrpc 2019-06-18 19:09:09 UTC
This issue has been addressed in the following products:

  JBoss Core Services Apache HTTP Server 2.4.29 SP2

Via RHSA-2019:1543 https://access.redhat.com/errata/RHSA-2019:1543

Comment 24 Tomas Hoger 2019-07-17 09:25:24 UTC
(In reply to Andrej Nemec from comment #0)
> https://www.nccgroup.trust/us/our-research/technical-advisory-return-of-the-hidden-number-problem/

This article does not explain its text what ROHNP abbreviation stands for.  However, the URL provides the explanation: Return Of the Hidden Number Problem.  There are further details in this additional blog post from the NCC Group:

https://www.nccgroup.trust/us/about-us/newsroom-and-events/blog/2018/june/its-back...understanding-the-return-of-the-hidden-number-problem/

Comment 25 errata-xmlrpc 2019-08-06 12:31:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2237 https://access.redhat.com/errata/RHSA-2019:2237

Comment 29 errata-xmlrpc 2020-04-01 08:33:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.5 Extended Update Support

Via RHSA-2020:1267 https://access.redhat.com/errata/RHSA-2020:1267

Comment 30 errata-xmlrpc 2020-04-07 09:33:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Advanced Update Support
  Red Hat Enterprise Linux 7.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.4 Telco Extended Update Support

Via RHSA-2020:1345 https://access.redhat.com/errata/RHSA-2020:1345

Comment 31 errata-xmlrpc 2020-04-14 17:39:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Extended Update Support

Via RHSA-2020:1461 https://access.redhat.com/errata/RHSA-2020:1461


Note You need to log in before you can comment on or make changes to this bug.